
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Noto Sans Bengali', sans-serif;
}
html{
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body{
    overflow-x: hidden;
}

.head{
    font-weight: 800;
    font-family: 'Noto Sans Bengali', sans-serif;
}


/* error code */
header, .student-list, footer{
    /* display: none; */
}
.error{
    display: flex;
    flex-direction: column;
    height: 100vh;
    align-items: center;
    justify-content: center;
    display: none;
}

.error h1{
    text-align: center;
}
/* error code end */


/* blank person */
.blank_person{
    opacity: 0;
}
/* blank person end*/


/* Student list */
.student-list{
    margin-top: 108px;
}

.student-list .search{
    max-width: 400px;
    position: relative;
    margin: 20px auto;
}


.student-list .search input{
    width: 100%;
    padding-left: 35px;
    height: 50px;
    border: 1px solid blue;
    border-radius: 8px;
    outline: none;
    /* text-transform: capitalize; */
}

.student-list .search i{
    position: absolute;
    top: 15px;
    left: 15px;
}

.list-panel .profile{
    width: 350px;
    border-radius: 8px;
    background: linear-gradient(120deg, rgba(12,182,199,1) 0%, rgba(9,121,63,1) 0%, rgba(7,140,103,1) 0%, rgba(57,78,180,1) 100%);
    /* background-image: linear-gradient(120deg, red, green); */
    /* background-image: linear-gradient(120deg, black, gray); */
    margin: 20px auto;
    color: white;
    transition: 0.6s;
}
.list-panel .profile .pro-img img{
    width: 60%;
    display: block;
    margin: 0 auto;
    border-radius: 8px;
}

.list-panel .profile .pro-des h2{
    margin-top: 12px;
    font-size: 37px;
    font-family: 'Noto Sans Bengali', sans-serif;
    font-weight: 600;
}
.list-panel .profile .pro-des p{
    font-size: 22px;
    font-family: 'Noto Sans Bengali', sans-serif;
    font-weight: 600;
}

.profile:hover{
    background: linear-gradient(120deg, rgba(12,182,199,1) 0%, rgba(9,121,63,1) 0%, rgba(57,78,180,1) 0%, rgba(7,140,103,1) 100%);
}
/* Student list End */


/* footer */
footer ul{
    list-style-type: none;
    margin-left: 15px;
}

footer ul li a{
    color: white;
}
/* footer end */






/* Responsive */

@media screen and (max-width: 500px) {

    body{
        overflow-x: hidden;
    }
    
    
    .list-panel .profile{
        width: 92%;
    }


    footer iframe{
        width: 320px;
        height: 150px;
    }


    /* error code */
    .error h1{
        font-size: 20px;
        padding: 0 20px;
    }
    /* error code end */
    
}